//------------------------------------------------------------------------------------
// irr::scene::IParticleMeshEmitter wrappers
//------------------------------------------------------------------------------------

extern "C" 
{

	void IrrScene_IParticleMeshEmitter_setMesh(IParticleMeshEmitter* pe, IMesh* mesh )
	{
		if (pe) {
			pe->setMesh(mesh);
		}
	}

	void IrrScene_IParticleMeshEmitter_setUseNormalDirection(IParticleMeshEmitter* pe, bool useNormalDirection = true )
	{
		if (pe) {
			pe->setUseNormalDirection(useNormalDirection);
		}
	}

	void IrrScene_IParticleMeshEmitter_setNormalDirectionModifier(IParticleMeshEmitter* pe, f32 normalDirectionModifier )
	{
		if (pe) {
			pe->setNormalDirectionModifier(normalDirectionModifier);
		}
	}

	void IrrScene_IParticleMeshEmitter_setEveryMeshVertex(IParticleMeshEmitter* pe, bool everyMeshVertex = true )
	{
		if (pe) {
			pe->setEveryMeshVertex(everyMeshVertex);
		}
	}

	// do not delete
	const IMesh* IrrScene_IParticleMeshEmitter_getMesh(IParticleMeshEmitter* pe)
	{
		if (pe) {
			return pe->getMesh();
		}
	}

	bool IrrScene_IParticleMeshEmitter_isUsingNormalDirection(IParticleMeshEmitter* pe)
	{
		if (pe) {
			return pe->isUsingNormalDirection();
		} else return false;
	}

	f32 IrrScene_IParticleMeshEmitter_getNormalDirectionModifier(IParticleMeshEmitter* pe)
	{
		if (pe) {
			return pe->getNormalDirectionModifier();
		} return 0.0;
	}

	bool IrrScene_IParticleMeshEmitter_getEveryMeshVertex(IParticleMeshEmitter* pe)
	{
		if (pe) {
			return pe->getEveryMeshVertex();
		}
	}

}

